Loading ...
Sorry, an error occurred while loading the content.
 

Windows XP Help?

Expand Messages
  • sinkast
    Hey guys. I m having the same friggin error message in Windows XP when trying to use PCGen. Anyone out there know what to do to fix it? Unexpected Signal :
    Message 1 of 12 , Jan 3, 2002
      Hey guys. I'm having the same friggin error message in Windows XP
      when trying to use PCGen. Anyone out there know what to do to fix
      it?


      Unexpected Signal : EXCEPTION_ACCESS_VIOLATION occurred at
      PC=0x6D374F8B
      Function=JNI_GetCreatedJavaVMs+0xD41B
      Library=C:\Program Files\JavaSoft\JRE\1.4\bin\client\jvm.dll

      Current Java thread:
      at sun.awt.windows.WToolkit.eventLoop(Native Method)
      at sun.awt.windows.WToolkit.run(Unknown Source)
      at java.lang.Thread.run(Unknown Source)

      Dynamic libraries:
      0x00400000 - 0x00406000 C:\Program Files\JavaSoft\JRE\1.4
      \bin\javaw.exe
      0x77F50000 - 0x77FF9000 C:\WINDOWS\System32\ntdll.dll
      0x77E60000 - 0x77F45000 C:\WINDOWS\system32\kernel32.dll
      0x77DD0000 - 0x77E5B000 C:\WINDOWS\system32\ADVAPI32.dll
      0x77CC0000 - 0x77D35000 C:\WINDOWS\system32\RPCRT4.dll
      0x77D40000 - 0x77DCD000 C:\WINDOWS\system32\USER32.dll
      0x77C70000 - 0x77CB0000 C:\WINDOWS\system32\GDI32.dll
      0x77C10000 - 0x77C63000 C:\WINDOWS\system32\MSVCRT.dll
      0x76390000 - 0x763AA000 C:\WINDOWS\System32\IMM32.DLL
      0x629C0000 - 0x629C8000 C:\WINDOWS\System32\LPK.DLL
      0x72FA0000 - 0x72FFA000 C:\WINDOWS\System32\USP10.dll
      0x6D330000 - 0x6D446000 C:\Program Files\JavaSoft\JRE\1.4
      \bin\client\jvm.dll
      0x76B40000 - 0x76B6C000 C:\WINDOWS\System32\WINMM.dll
      0x6D1D0000 - 0x6D1D7000 C:\Program Files\JavaSoft\JRE\1.4
      \bin\hpi.dll
      0x6D300000 - 0x6D30D000 C:\Program Files\JavaSoft\JRE\1.4
      \bin\verify.dll
      0x6D210000 - 0x6D227000 C:\Program Files\JavaSoft\JRE\1.4
      \bin\java.dll
      0x6D320000 - 0x6D32D000 C:\Program Files\JavaSoft\JRE\1.4
      \bin\zip.dll
      0x6D000000 - 0x6D0F1000 C:\Program Files\JavaSoft\JRE\1.4
      \bin\awt.dll
      0x73000000 - 0x73023000 C:\WINDOWS\System32\WINSPOOL.DRV
      0x771B0000 - 0x772CA000 C:\WINDOWS\system32\ole32.dll
      0x5AD70000 - 0x5ADA4000 C:\WINDOWS\system32\uxtheme.dll
      0x74720000 - 0x7476B000 C:\WINDOWS\System32\MSCTF.dll
      0x6D180000 - 0x6D1D0000 C:\Program Files\JavaSoft\JRE\1.4
      \bin\fontmanager.dll
      0x6D2E0000 - 0x6D2E7000 C:\Program Files\JavaSoft\JRE\1.4
      \bin\nio.dll
      0x71AB0000 - 0x71AC5000 C:\WINDOWS\System32\WS2_32.dll
      0x71AA0000 - 0x71AA8000 C:\WINDOWS\System32\WS2HELP.dll
      0x6D2D0000 - 0x6D2DE000 C:\Program Files\JavaSoft\JRE\1.4
      \bin\net.dll
      0x71AD0000 - 0x71AD8000 C:\WINDOWS\System32\WSOCK32.dll
      0x73760000 - 0x737A5000 C:\WINDOWS\System32\ddraw.dll
      0x73BC0000 - 0x73BC6000 C:\WINDOWS\System32\DCIMAN32.dll
      0x773D0000 - 0x77BC4000 C:\WINDOWS\system32\shell32.dll
      0x772D0000 - 0x77333000 C:\WINDOWS\system32\SHLWAPI.dll
      0x71950000 - 0x71A34000
      C:\WINDOWS\WinSxS\x86_Microsoft.Windows.Common-
      Controls_6595b64144ccf1df_6.0.0.0_x-ww_1382d70a\comctl32.dll
      0x77340000 - 0x773CB000 C:\WINDOWS\system32\comctl32.dll
      0x76670000 - 0x76754000 C:\WINDOWS\System32\SETUPAPI.dll
      0x71C20000 - 0x71C6F000 C:\WINDOWS\System32\netapi32.dll
      0x75F40000 - 0x75F5D000 C:\WINDOWS\system32\appHelp.dll
      0x76FD0000 - 0x77048000 C:\WINDOWS\System32\CLBCATQ.DLL
      0x77120000 - 0x771AB000 C:\WINDOWS\system32\OLEAUT32.dll
      0x77050000 - 0x77115000 C:\WINDOWS\System32\COMRes.dll
      0x77C00000 - 0x77C07000 C:\WINDOWS\system32\VERSION.dll
      0x71B20000 - 0x71B31000 C:\WINDOWS\system32\MPR.dll
      0x75F60000 - 0x75F66000 C:\WINDOWS\System32\drprov.dll
      0x71C10000 - 0x71C1D000 C:\WINDOWS\System32\ntlanman.dll
      0x71CD0000 - 0x71CE6000 C:\WINDOWS\System32\NETUI0.dll
      0x71C90000 - 0x71CCC000 C:\WINDOWS\System32\NETUI1.dll
      0x71C80000 - 0x71C86000 C:\WINDOWS\System32\NETRAP.dll
      0x71BF0000 - 0x71C01000 C:\WINDOWS\System32\SAMLIB.dll
      0x75F70000 - 0x75F79000 C:\WINDOWS\System32\davclnt.dll
      0x76990000 - 0x769B4000 C:\WINDOWS\System32\ntshrui.dll
      0x76B20000 - 0x76B35000 C:\WINDOWS\System32\ATL.DLL
      0x75A70000 - 0x75B13000 C:\WINDOWS\system32\USERENV.dll
      0x605D0000 - 0x605DF000 C:\WINDOWS\System32\mslbui.dll
      0x76C90000 - 0x76CB2000 C:\WINDOWS\system32\imagehlp.dll
      0x6D510000 - 0x6D58C000 C:\WINDOWS\system32\DBGHELP.dll
      0x76BF0000 - 0x76BFB000 C:\WINDOWS\System32\PSAPI.DLL

      Local Time = Thu Jan 03 15:27:52 2002
      Elapsed Time = 4
      #
      # HotSpot Virtual Machine Error : EXCEPTION_ACCESS_VIOLATION
      # Error ID : 4F530E43505002D7
      # Please report this error at
      # http://java.sun.com/cgi-bin/bugreport.cgi
      #
      # Java VM: Java HotSpot(TM) Client VM (1.4.0-beta2-b77 mixed mode)
      #

      Well, that's the error message. Please please please help me out.

      Thanks!
    • pjak
      ... Yep. Your problem can be seen with the line below. ... For some reason pcgen is unstable using the Java 1.4 beta. Downgrade to the stable 1.3.1_02 and you
      Message 2 of 12 , Jan 3, 2002
        --- In pcgen@y..., "sinkast" <Rykros@h...> wrote:
        > Hey guys. I'm having the same friggin error message in Windows XP
        > when trying to use PCGen. Anyone out there know what to do to fix
        > it?

        Yep.

        Your problem can be seen with the line below.

        >Library=C:\Program Files\JavaSoft\JRE\1.4\bin\client\jvm.dll

        For some reason pcgen is unstable using the Java 1.4 beta. Downgrade
        to the stable 1.3.1_02 and you should be ok.

        We will have to look into this soon, but we aren't likely to put any
        major effort into it until 1.4 goes out of beta. (Running a beta
        program on a beta environment does sound like a recipe for trouble. ;-
        )

        /Jonas
      • Jerry Hill
        ... The 1.4 JRE is a beta. I would try using the latest 1.3 version. I know several people have tried using the 1.4 beta JRE, and I don t believe it s worked
        Message 3 of 12 , Jan 3, 2002
          > -----Original Message-----
          > From: sinkast [mailto:Rykros@...]
          >
          > Hey guys. I'm having the same friggin error message in Windows XP
          > when trying to use PCGen. Anyone out there know what to do to fix
          > it?
          >
          ...
          > Library=C:\Program Files\JavaSoft\JRE\1.4\bin\client\jvm.dll

          The 1.4 JRE is a beta. I would try using the latest 1.3 version. I know
          several people have tried using the 1.4 beta JRE, and I don't believe it's
          worked right.

          --
          Jerry
        • bd_92
          y all beat me to it! ... XP ... fix ... I know ... believe it s
          Message 4 of 12 , Jan 3, 2002
            y'all beat me to it!

            --- In pcgen@y..., Jerry Hill <mal2@a...> wrote:
            > > -----Original Message-----
            > > From: sinkast [mailto:Rykros@h...]
            > >
            > > Hey guys. I'm having the same friggin error message in Windows
            XP
            > > when trying to use PCGen. Anyone out there know what to do to
            fix
            > > it?
            > >
            > ...
            > > Library=C:\Program Files\JavaSoft\JRE\1.4\bin\client\jvm.dll
            >
            > The 1.4 JRE is a beta. I would try using the latest 1.3 version.
            I know
            > several people have tried using the 1.4 beta JRE, and I don't
            believe it's
            > worked right.
            >
            > --
            > Jerry
          • Mark Hulsman
            Maybe we should figure out a way to have PCGen check the Java version while ts loading and if its a beta version pop up a window warning them it may not work
            Message 5 of 12 , Jan 3, 2002
              Maybe we should figure out a way to have PCGen check the Java version while
              ts loading and if its a beta version pop up a window warning them it may not
              work right/

              > y'all beat me to it!
              >
              > --- In pcgen@y..., Jerry Hill <mal2@a...> wrote:
              > > > -----Original Message-----
              > > > From: sinkast [mailto:Rykros@h...]
              > > >
              > > > Hey guys. I'm having the same friggin error message in Windows
              > XP
              > > > when trying to use PCGen. Anyone out there know what to do to
              > fix
              > > > it?
              > > >
              > > ...
              > > > Library=C:\Program Files\JavaSoft\JRE\1.4\bin\client\jvm.dll
              > >
              > > The 1.4 JRE is a beta. I would try using the latest 1.3 version.
              > I know
              > > several people have tried using the 1.4 beta JRE, and I don't
              > believe it's
              > > worked right.
              > >
              > > --
              > > Jerry
              >
              >
              >
              > To unsubscribe from this group, send an email to:
              > pcgen-unsubscribe@egroups.com
              >
              >
              >
              > Your use of Yahoo! Groups is subject to http://docs.yahoo.com/info/terms/
              >
              >
            • bd_92
              how could you do that with java build to go across all platforms?? ... version while ... it may not ... Windows ... version. ...
              Message 6 of 12 , Jan 3, 2002
                how could you do that with java build to go across all platforms??

                --- In pcgen@y..., "Mark Hulsman" <hulsmanm@p...> wrote:
                > Maybe we should figure out a way to have PCGen check the Java
                version while
                > ts loading and if its a beta version pop up a window warning them
                it may not
                > work right/
                >
                > > y'all beat me to it!
                > >
                > > --- In pcgen@y..., Jerry Hill <mal2@a...> wrote:
                > > > > -----Original Message-----
                > > > > From: sinkast [mailto:Rykros@h...]
                > > > >
                > > > > Hey guys. I'm having the same friggin error message in
                Windows
                > > XP
                > > > > when trying to use PCGen. Anyone out there know what to do to
                > > fix
                > > > > it?
                > > > >
                > > > ...
                > > > > Library=C:\Program Files\JavaSoft\JRE\1.4\bin\client\jvm.dll
                > > >
                > > > The 1.4 JRE is a beta. I would try using the latest 1.3
                version.
                > > I know
                > > > several people have tried using the 1.4 beta JRE, and I don't
                > > believe it's
                > > > worked right.
                > > >
                > > > --
                > > > Jerry
                > >
                > >
                > >
                > > To unsubscribe from this group, send an email to:
                > > pcgen-unsubscribe@e...
                > >
                > >
                > >
                > > Your use of Yahoo! Groups is subject to
                http://docs.yahoo.com/info/terms/
                > >
                > >
              • Mark Hulsman
                I don t know, but theres probably some way to check in Java what version you are running. We just have PC Gen check it and if it ends in a b then its beta and
                Message 7 of 12 , Jan 3, 2002
                  I don't know, but theres probably some way to check in Java what version you
                  are running. We just have PC Gen check it and if it ends in a b then its
                  beta and we warn them.

                  > how could you do that with java build to go across all platforms??
                  >
                  > > Maybe we should figure out a way to have PCGen check the Java
                  > version while
                  > > ts loading and if its a beta version pop up a window warning them
                  > it may not
                  > > work right/
                • Scott Ellsworth
                  ... I suspect we would check System.getProperty( java.version ) and java.vendor as BrowserLauncher currently does, and put in a hardcoded check for windows
                  Message 8 of 12 , Jan 3, 2002
                    >how could you do that with java build to go across all platforms??

                    I suspect we would check System.getProperty("java.version") and
                    "java.vendor" as BrowserLauncher currently does, and put in a
                    hardcoded check for windows and 1.4, showing the warning if needed.

                    Personally, I hate those kind of warnings, as it is usually pretty
                    obvious when such things fail, and if they do not, I do not know just
                    what may go wrong. I do like putting such a thing in the readme/docs
                    on page 1, though.

                    Scott
                    --
                  • backlash_de
                    ... version you ... then its ... them ... Actually, we already check the version ... start pcgen and look into the debug console ... the first ten lines or so
                    Message 9 of 12 , Jan 3, 2002
                      --- In pcgen@y..., "Mark Hulsman" <hulsmanm@p...> wrote:
                      > I don't know, but theres probably some way to check in Java what
                      version you
                      > are running. We just have PC Gen check it and if it ends in a b
                      then its
                      > beta and we warn them.
                      >
                      > > how could you do that with java build to go across all platforms??
                      > >
                      > > > Maybe we should figure out a way to have PCGen check the Java
                      > > version while
                      > > > ts loading and if its a beta version pop up a window warning
                      them
                      > > it may not
                      > > > work right/

                      Actually, we already check the version ...
                      start pcgen and look into the debug console ...
                      the first ten lines or so give various environment informations,
                      including version ...

                      I don't know how it is done (yet), but it shouldn't be to hard to do
                      that earlier and have a message pop up before the splash screen comes
                      up ...

                      Hmmmmmmm, I'd be interested to know if that functionality can also
                      check for beta status, else we'd just have to compare the version
                      strings ...

                      Kinson
                    • Mark Hulsman
                      ... Checking for beta status is simple, see if theres a b in the version.
                      Message 10 of 12 , Jan 3, 2002
                        > Hmmmmmmm, I'd be interested to know if that functionality can also
                        > check for beta status, else we'd just have to compare the version
                        > strings ...

                        Checking for beta status is simple, see if theres a b in the version.
                      • backlash_de
                        ... You re right, that is simple ;-) (Should ve thought of that myself, hmmphf) Kinson
                        Message 11 of 12 , Jan 3, 2002
                          --- In pcgen@y..., "Mark Hulsman" <hulsmanm@p...> wrote:
                          > Checking for beta status is simple, see if theres a b in the
                          > version.

                          You're right, that is simple ;-)

                          (Should've thought of that myself, hmmphf)

                          Kinson
                        • Rodney Cherry
                          Also after removing the beta and installing the 1.3.1 version you might want to consider setting it up to run in Windows 98/ME compatablility mode. I upgraded
                          Message 12 of 12 , Jan 3, 2002
                            Also after removing the beta and installing the 1.3.1 version you might
                            want to consider setting it up to run in Windows 98/ME compatablility mode.
                            I upgraded a machine from ME to XP and it gives you a list of items from
                            your old windows that they know there are issues with. Java 1.3.1 was one
                            of them. I reinstalled java 1.3.1 after the upgrade and so far it seems ok
                            running pcgen on my machine under XP.
                          Your message has been successfully submitted and would be delivered to recipients shortly.